
dnl #  Performance tuning: incoming.
define(`confMAX_DAEMON_CHILDREN',      `8'       )dnl # no more than this children
define(`confMCI_CACHE_SIZE',           `2'       )dnl # cache this number of connections
define(`confMCI_CACHE_TIMEOUT',        `2m'      )dnl # close cached connections after...
define(`confCONNECTION_RATE_THROTTLE', `100'     )dnl # max number of connects per seconds
define(`confTO_INITIAL',               `2m'      )dnl # timeout for initial connect() to complete
define(`confTO_HELO',                  `2m'      )dnl # timeout for response to HELO command
define(`confTO_COMMAND',               `2m'      )dnl # timeout waiting for a command to be issued in server mode
define(`confTO_IDENT',                 `5s'      )dnl # timeout for an IDENT query
define(`confREFUSE_LA',                `8'       )dnl # load average for connection reject

dnl #  Performance tuning: outgoing.
define(`confQUEUE_LA',                 `12'      )dnl # load average for queue only
define(`confDELIVERY_MODE',            `q'       )dnl # queued only
define(`confCHECKPOINT_INTERVAL',      `4'       )dnl # save back queue files every N reciptions
define(`confMAX_QUEUE_RUN_SIZE',       `0'       )dnl # maximum queue run size (unlimited)
define(`confQUEUE_SORT_ORDER',         `Priority')dnl # priority scheduling
define(`confMIN_QUEUE_AGE',            `30m'     )dnl # a queued job is re-checked after this time
define(`confSAFE_QUEUE',               `True'    )dnl # commit all to disk before forking
define(`confTO_QUEUEWARN',             `12h'     )dnl # undeliverable mail warning
define(`confTO_QUEUERETURN',           `4d'      )dnl # undeliverable mail timeout

