PUSHDIVERT(-1)

_DEFIFNOT(`SMTPFEED_MAILER_PATH',            `/usr/local/bin/smtpfeed')
_DEFIFNOT(`SMTPFEED_MAILER_FLAGS',           `mDFMuXz_')
_DEFIFNOT(`SMTPFEED_MAILER_MINRCPTS',        `2')
_DEFIFNOT(`SMTPFEED_MAILER_MAXRCPTS',        `2000')
_DEFIFNOT(`SMTPFEED_MAILER_MAX',             `800000')
_DEFIFNOT(`SMTPFEED_MAILER_ARGS',            `')
_DEFIFNOT(`SMTPFEED_MAILER_TIMEOUT_CONNECT', `1m')
_DEFIFNOT(`SMTPFEED_MAILER_TIMEOUT_GREET',   `1m')
_DEFIFNOT(`SMTPFEED_MAILER_TIMEOUT_RSET',    `2m')

POPDIVERT

#########################################
###   SMTPfeed Mailer specification   ###
#########################################

Msmtpfeed, P=SMTPFEED_MAILER_PATH, F=SMTPFEED_MAILER_FLAGS,
           S=EnvFromSMTP/HdrFromSMTP, R=MasqSMTP, E=\r\n, 
           L=990, T=DNS/RFC822/SMTP, M=SMTPFEED_MAILER_MAX,
           r=SMTPFEED_MAILER_MAXRCPTS, *=SMTPFEED_MAILER_MINRCPTS,
           A=smtpfeed SMTPFEED_MAILER_ARGS -n 512 -u -V dnl
             -l mail -c $j $?{runqueue}-i$i$|-I$i$. -E dnl
             -s SMTPFEED_MAILER_MAX dnl
             -r SMTPFEED_MAILER_MINRCPTS -R SMTPFEED_MAILER_MAXRCPTS dnl
             -t connect=SMTPFEED_MAILER_TIMEOUT_CONNECT dnl
             -t greet=SMTPFEED_MAILER_TIMEOUT_GREET dnl
             -t rset=SMTPFEED_MAILER_TIMEOUT_RSET

dnl # Special: Multiple Mailer Feature for SMTP/SMTPfeed
dnl # (requires WIDE's Sendmail patches we use!):
dnl # first "smtpfeed" mailer is tried, second the "smtp" mailer.
dnl #
dnl # The OperatorChars hack is required to make Sendmail happy because of S95,
dnl # see http://www.harker.com/sendmail/adding-to-rulesets.html for details.
LOCAL_CONFIG
O OperatorChars=.:%@!^/[]+
undefine(`confOPERATORS')
SMailerToTriple=95
R< smtpfeed : LMTP > $*<@$*>$*	$#smtpfeed$@LMTP$:$1<@$2>$3$#smtp$@$2.$:$1<@$2>$3
R< smtpfeed : $* > $*	        $#smtpfeed$@LMTP$:$2$#smtp$@$1.$:$2
R< smtpfeed > $*<@$*>$*		$#smtpfeed$@LMTP$:$1<@$2>$3$#smtp$@$2.$:$1<@$2>$3

